From b3264b80535e81894caddb1905535cf6efd04b21 Mon Sep 17 00:00:00 2001
From: julia <jkoval@gkticlel801.igk.intel.com>
Date: Mon, 13 Nov 2017 11:58:52 +0300
Subject: [PATCH] skylake-512

---
 gcc/config/i386/driver-i386.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gcc/config/i386/driver-i386.c b/gcc/config/i386/driver-i386.c
index 5b3b5ce..4f8fb6a 100644
--- a/gcc/config/i386/driver-i386.c
+++ b/gcc/config/i386/driver-i386.c
@@ -792,6 +792,10 @@ const char *host_detect_local_cpu (int argc, const char **argv)
 	  /* Kaby Lake.  */
 	  cpu = "skylake";
 	  break;
+	case 0x55:
+	  /* Skylake with AVX-512.  */
+	  cpu = "skylake-avx512";
+	  break;
 	case 0x57:
 	  /* Knights Landing.  */
 	  cpu = "knl";
@@ -815,8 +819,11 @@ const char *host_detect_local_cpu (int argc, const char **argv)
 	      else if (has_avx5124vnniw)
 		cpu = "knm";
 	      /* Assume Knights Landing.  */
-	      else if (has_avx512f)
+	      else if (has_avx512er)
 		cpu = "knl";
+	      /* Assume Skylake with AVX-512.  */
+	      else if (has_avx512f)
+		cpu = "skylake-avx512";
 	      /* Assume Skylake.  */
 	      else if (has_clflushopt)
 		cpu = "skylake";
-- 
2.5.5

